Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
do_tighten_action Class Reference

`#include <CoinPresolveTighten.hpp>`

Inheritance diagram for do_tighten_action:
[legend]
Collaboration diagram for do_tighten_action:
[legend]

## Classes
struct | action

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~do_tighten_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| do_tighten_action ()
| do_tighten_action (const do_tighten_action &rhs)
do_tighten_action & | operator= (const do_tighten_action &rhs)
| do_tighten_action (int nactions, const action *actions, const CoinPresolveAction *next)

## Private Attributes
const int | nactions_
const action *const | actions_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

Definition at line 19 of file CoinPresolveTighten.hpp.

## Constructor & Destructor Documentation

do_tighten_action::do_tighten_action | ( |  | ) |
| private

do_tighten_action::do_tighten_action | ( | const do_tighten_action & | rhs | ) |
| private

do_tighten_action::do_tighten_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 36 of file CoinPresolveTighten.hpp.

virtual do_tighten_action::~do_tighten_action | ( |  | ) |
| virtual

## Member Function Documentation

do_tighten_action& do_tighten_action::operator= | ( | const do_tighten_action & | rhs | ) |
| private

const char* do_tighten_action::name | ( |  | ) | const
| virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* do_tighten_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void do_tighten_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int do_tighten_action::nactions_
| private

Definition at line 33 of file CoinPresolveTighten.hpp.

const action* const do_tighten_action::actions_
| private

Definition at line 34 of file CoinPresolveTighten.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/CoinUtils/src/CoinPresolveTighten.hpp